#
# spec file for package ircd (Version 2.10.3p3)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         ircd
URL:          http://www.irc.at/site/download.php?lang=en
Summary:      Internet Relay Chat Server
License:      GPL
Group:        Productivity/Networking/IRC
Autoreqprov:  on
Version:      2.10.3p3
Release:      127
Source:       irc2.10.3p3.tar.bz2
Source1:      ircd.conf
Source2:      ircd.motd
Source3:      ircd.startup
Patch:        ircd-2.10.3p3.diff
Patch1:       ircd-2.10.3p3-enable-kill.diff
Patch2:       ircd-2.10.3p3-nicktopiclen.patch
Patch3:       irc2.10.3-m_join.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Prereq:       /usr/sbin/useradd %insserv_prereq %fillup_prereq
%prep
%setup -n irc2.10.3p3
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3
(cd support/
%{?suse_update_config})

%build
CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE" \
	./configure --prefix=/usr \
		--mandir=%{_mandir} \
		--localstatedir=/var/run \
		--sysconfdir=/etc/ircd \
		--logdir=/var/log/ircd
cd `support/config.guess`
make server 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/ircd/
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/var/log/ircd
cd `support/config.guess`
chmod 700 $RPM_BUILD_ROOT/etc/ircd/
make DEST=$RPM_BUILD_ROOT install-server
cd ..
install -m 744 %{S:3} $RPM_BUILD_ROOT/etc/init.d/ircd
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 600 %{S:1} $RPM_BUILD_ROOT/etc/ircd/ircd.conf
install -m 600 %{S:2} $RPM_BUILD_ROOT/etc/ircd/ircd.motd
ln -s ../../etc/init.d/ircd $RPM_BUILD_ROOT/usr/sbin/rcircd

%pre
/usr/sbin/useradd -r -o -g nogroup -u 39 -s /bin/bash -c "IRC daemon" -d \
/usr/lib/ircd irc 2> /dev/null || :

%preun
%stop_on_removal ircd

%post
%fillup_and_insserv ircd

%postun
%restart_on_update ircd
%insserv_cleanup

%files
%doc doc/Nets doc/Juped doc/2* doc/Authors doc/INSTALL.appendix doc/INSTALL.txt
%doc doc/INSTALL.sgml doc/Etiquette doc/RE* doc/example.conf doc/rfc*
%doc doc/alt-irc-faq doc/iauth-internals.txt doc/SERVICE* doc/LICENSE
%dir /var/log/ircd
/etc/init.d/ircd
/usr/sbin/rcircd
/usr/sbin/ircd
/usr/sbin/iauth
/usr/sbin/ircd-mkpasswd
/usr/sbin/ircdwatch
/usr/sbin/chkconf
%attr(750,irc,root) %dir /etc/ircd
%attr(640,irc,root) /etc/ircd/ircd.m4
%attr(640,irc,root) /etc/ircd/example.conf
%config(noreplace) %attr(640,irc,root) /etc/ircd/ircd.conf
%config(noreplace) %attr(640,irc,root) /etc/ircd/ircd.motd
%config(noreplace) %attr(640,irc,root) /etc/ircd/iauth.conf
%doc %{_mandir}/man8/*
%doc %{_mandir}/man5/*

%description
Ircd is a Server (daemon) Program for Internet Relay Chat.



Authors:
--------
    Christophe Kalt <ircd-dev@irc.org>


%changelog -n ircd
* Mon Oct 13 2003 - mmj@suse.de
- Apply patch to prevent buffer overflow in m_join()
* Wed Jul 30 2003 - mmj@suse.de
- Use new macros for stop/restart of services on rpm update/removal
* Tue Mar 04 2003 - mmj@suse.de
- Increase the USER and TOPIC length
* Fri Feb 07 2003 - mmj@suse.de
- Package all man-pages.
- Don't package Makefile and other non-docu from the docdir
- Don't package broken info page -- there's both txt and sgml equi-
  valents.
* Wed Jan 15 2003 - mmj@suse.de
- Fix Required-Start:
* Mon Nov 04 2002 - mmj@suse.de
- Increase max length to nicknames to 30
- Make unique names for patches
* Mon Oct 28 2002 - ro@suse.de
- fixed typo in specfile
* Mon Oct 28 2002 - mmj@suse.de
- Update to 2.10.3p3 and split out the huge diff
* Thu Aug 01 2002 - mmj@suse.de
- Add %%fillup_and_insserv PreReq
* Tue Jul 02 2002 - mmj@suse.de
- Using useradd in the specfile.
* Fri Jun 14 2002 - ro@suse.de
- always use macros when calling insserv
* Thu Jan 31 2002 - mmj@suse.de
- Fixed init script Bugzilla #9041
* Thu Jan 10 2002 - egmont@suselinux.hu
- Changed /sbin/init.d to /etc/init.d in init script comment
* Mon Dec 03 2001 - mmj@suse.de
- Killed START_IRCD
* Fri Jul 06 2001 - mmj@suse.de
- Fixed init script wrt. reload. Bugzilla #9196
* Fri Jun 22 2001 - mmj@suse.de
- Fixed to compile on beta-i386 and beta-ia64
* Thu Jun 21 2001 - olh@suse.de
- fix startup scripts
* Wed May 09 2001 - mmj@suse.de
- Don't start in runlevel 2 (bugzilla #7955)
- Bzipped source
* Mon Apr 16 2001 - mmj@suse.de
- Enabled some ircop functions
* Tue Jan 02 2001 - olh@suse.de
- correct %%post
* Mon Nov 27 2000 - olh@suse.de
- update specfile again to reflect todays version of lsb
* Wed Nov 22 2000 - olaf@suse.de
- implement new startup scripts
* Tue Aug 29 2000 - daniele@suse.de
- moved documentation from doc/ to .
* Mon May 01 2000 - olh@suse.de
- move config to /etc/ircd, update to version 2.10.3
* Sat Mar 04 2000 - olh@suse.de
- move manpages, use buildroot
* Wed Mar 01 2000 - werner@suse.de
- Use suse_update_config
- Use RPM_OPT_FLAGS
- Set Group tag
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 08 1999 - lr@suse.de
- iauth and some other services included
* Tue Feb 23 1999 - ro@suse.de
- compile with -D_GNU_SOURCE to get POLLWRNORM with glibc-2.1
* Mon Feb 15 1999 - lr@suse.de
- New version 2.10.2 with new features ... some security-fixes
* Thu Dec 10 1998 - lr@suse.de
- added /usr/sbin/rcircd and reload / status to start-skript
* Wed Nov 25 1998 - lr@suse.de
- changed init-script to new mimicry
* Tue Aug 25 1998 - ro@suse.de
- chown of /usr/sbin/ircd done in install, not in post
* Tue Jul 28 1998 - bs@suse.de
- added %%dir /usr/lib/ircd to file list.
* Tue Jun 30 1998 - bs@suse.de
- changed gid of /usr/sbin/ircd from nogroup to root
* Mon Jun 08 1998 - lr@suse.de
- some improvements in building the rpm-package
* Thu May 28 1998 - lr@suse.de
- build the package for the first time
